package com.logicbig.example;


import org.yaml.snakeyaml.Yaml;

import java.io.IOException;
import java.io.InputStream;

public class LoadAsJavaObjectList {

    public static void main(String[] args) throws IOException {
        Yaml yaml = new Yaml();
        try (InputStream in = LoadAsJavaObject.class.getResourceAsStream("/persons.yml")) {
            Persons persons = yaml.loadAs(in, Persons.class);
            for (Person person : persons.getPersons()) {
                System.out.println(person);
            }
        }
    }
}