package com.logicbig.example;

import org.yaml.snakeyaml.Yaml;

import java.io.IOException;
import java.io.InputStream;

public class LoadAsJavaObject {
    public static void main(String[] args) throws IOException {
        Yaml yaml = new Yaml();
        try (InputStream in = LoadAsJavaObject.class
                .getResourceAsStream("/person.yml")) {
            Person person = yaml.loadAs(in, Person.class);
            System.out.println(person);
        }
    }
}